<div class="topContent">
    <div class="title"> {{ 'menu.favouriteProducts' | translate }}</div>
    <div class="searchByContainer">
        <app-searchby [atrToSearchBy]="ownAtrToSearch" [initialCleanItems]="favouriteItems" (filteredItemsE)="updateFilteredItems($event)"></app-searchby>
    </div>
</div>
<div *ngIf="favouriteItemsF && favouriteItemsF.length else noitems" class="favouriteItems">
        <div class="items">
            <div *ngFor="let item of favouriteItemsF" class="item">
                <div class="normalItems"> 
                    <p>
                        <strong>{{ 'item.title' | translate }}:</strong>
                        {{ item.title }}
                    </p>
                </div>
                <!-- Controlamos la imagen del ítem por si en un futuro pudiera ocasionar problema. -->
                <div *ngIf="item.image" class="itemImage">
                    <img [src]="item.image" alt="FavouriteItemImage">
                </div>
                <!-- Botón favorito -->
                <div (click)="clickHeart(item)" class="heart">
                    <span class="material-icons" [ngClass]="item && item.favourite ? 'pinky': 'basic'">
                        favorite
                    </span>
                </div>
            </div>
        </div>
</div>
<!-- Si no tenemos ítems favoritos... -->
<ng-template #noitems class="noItems">
    <div *ngIf="favouriteItems && favouriteItems.length">
        {{ 'messages.noItems' | translate }}
    </div>
    <div *ngIf="!favouriteItems || !favouriteItems.length">
        {{ 'messages.noFavouriteItems' | translate }}
    </div>
</ng-template>